<?php

namespace PAR\Util\Procedure;

use Doctrine\DBAL\Connection;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class FctAtualizaCnpjCont {

    const NOME = "FCT_ATUALIZA_CNPJ_CONT";
    private $connection;

    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }

    /**
     * Executa a procedure FCT_ATUALIZA_CNPJ_CONT.
     */
    public function executar($nrnewinscricao, $nroldinscricao, $nmprincipalparc, $nmsecundarioparc, $dsjustificativa, $idinativaparc, $nrorg, $operador) {
        $procedure = new StoredProcedure($this->connection, self::NOME);

        $procedure->addParam(new Param("P_CNPJANTE",      Param::PARAM_INPUT,  $nroldinscricao,   Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_CNPJNOVO",      Param::PARAM_INPUT,  $nrnewinscricao,   Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_RAZSCNOVO",     Param::PARAM_INPUT,  $nmprincipalparc,  Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_NMFANTNOVO",    Param::PARAM_INPUT,  $nmsecundarioparc, Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_IDINATIVAPARC", Param::PARAM_INPUT,  $idinativaparc,    Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_JUSTIFICATIVA", Param::PARAM_INPUT,  $dsjustificativa,  Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_OPERADOR",      Param::PARAM_INPUT,  $operador,         Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_NRORG",         Param::PARAM_INPUT,  $nrorg,            Param::PARAM_TYPE_INT));

        $resultado = $procedure->execute();
    }

}

?>
